package jnditut.intro;

import junit.framework.*;
import java.util.Properties;
import javax.naming.Context;

/**
 * This test case checks if JNDI properties are correctly defined.
 * It is an integration test in the sense that it depends on external
 * factors such as an existent jndi.properties file containing the
 * property definitions.
 */
public class HelloNamingTest extends TestCase {
    
    private static final String PROVIDER_PATH = "///aulaj2ee/cap03/lab/filesys";
    private static final String SPI = "com.sun.jndi.fscontext.RefFSContextFactory";
    private static final String PROVIDER_URL = "file:" + PROVIDER_PATH;
    private String spiName, providerUrlName;
    
    ///// Default Testcase Template ///////////
    public HelloNamingTest (String nome) {
        super(nome);
    }
    public static Test suite() {
        return new TestSuite(HelloNamingTest.class);
    }
    public static void main (String[] args) {
        junit.textui.TestRunner.run ( suite() );
    }
    //////////////////////////////////////////
    
    public void setUp() {
        spiName = Context.INITIAL_CONTEXT_FACTORY;
        providerUrlName = Context.PROVIDER_URL;
    }
    
    public void testInitProperties() throws java.io.IOException {
        Properties props = HelloNaming.initProperties(providerUrlName);
        
        assertEquals(SPI, props.getProperty(spiName));
        assertEquals(PROVIDER_URL, props.getProperty("java.naming.provider.url"));
    }

}
